Page MenuHomePhabricator

TemplateData editor crash when a parameter name is temporarily modified
Closed, ResolvedPublic1 Story Points

Description

If a parameter name is modified in the TemplateData editor, then immediately reverted back to its original value, the TemplateData editor crash when clicking on "Done" :

  • the TemplateData editor content is blank and buttons do not do anything, even "cancel" : it's impossible to go back to the page editor
  • the modification of the templatedata is lost
  • other modification to the template (or it's doc subpage) can be kept on Firefox by reloading the page but are also lost on Edge or Chrome.

Step to reproduce :

  1. Edit a template with parameters (eg w:Template:Template sandbox)
  2. Click on "Manage TemplateData"
  3. If necessary click on "Add 3 suggested parameters" (but the bug is also present on existing params)
  4. click on a parameter (named or not)
  5. change the name (eg. add a caracter)
  6. restore the initial name (by Ctrl+z, paste or manually)
  7. click "Done"

Tested on fr.wikipedia and en.wikipedia and test.wikipedia.org on 28/7/2016, connected or not, with Firefox Chrome and Edge, Windows 10 and Ubuntu, all failed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2016, 9:58 PM
Zebulon84 updated the task description. (Show Details)Jul 28 2016, 10:01 PM

Change 304959 had a related patch set uploaded (by Alex Monk):
Fix renaming of parameters to the same name

https://gerrit.wikimedia.org/r/304959

Change 304959 merged by jenkins-bot:
Fix renaming of parameters to the same name

https://gerrit.wikimedia.org/r/304959

Jdforrester-WMF closed this task as Resolved.Aug 18 2016, 4:49 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set the point value for this task to 1.